# Valheim Cuisine

While being lore-friendly, the mod grants a different approach on meals, especially if you're tired of gathering specific items to make specific recipes. Valheim's Cuisine gives a little more flexibility on food preparation, making good of what you have on your inventory at the moment and gives more purpose for collecting different kinds of foods from different biomes.

The recipes are inspired on existing delicacies from the nordic countries, many of which trace back to the viking age, such as skause (boiled meat stew) and hákarl (fermented shark meat). They also reference various myths, stories, cultural aspects and social roles of the vikings, to better fit into the game.

---

## Features
* More than 100 new [recipes](https://docs.google.com/document/d/1iHApSXzi5kRdek9Atvc1-hZSAn0-IH1qCbVfWcaTb9s/edit?usp=sharing) inspired on cultural nordic delicacies, with norse mythology references to fit the game 

[Item prefab list](https://docs.google.com/document/d/1QiKpwq8lKIfRXuYpL3KwRJ9OSanIhZJoCTKi0VOyq7I/edit?usp=sharing)

---

## Updating
* Delete previous version of the `ValheimCuisine.dll` AND `XutzBR.ValheimCuisine.cfg` and install the newest version normally.

---

## Available Translations
* English
* Brazilian Portuguese / Português Brasileiro
* Russian / Русский
* Spanish / Español

* Translate it to your language [here](https://docs.google.com/document/d/1dhw7h_RXImbrKtlbleoSk20RYNIyeeTq0uefB1uYzQs/edit?usp=sharing).

---

## Changelog
* 2.0.0 - New supported languages: russian and spanish; Fixed Hákarl's weight and other item weights; Fixed Völva's Potent Brew, so now it actually works as it should; Fixed banquet's timing, so you can consume them properly after degradation; Upgraded a lot of icons; Seared Leech Liver renamed to Blodpolse and Mountaintop Skause renamed to Ýdalir Skause; The mixtures (jofurr, úlfhédnar and einherjar) and Lox Milk are potions now, instead of food; Raised Lox Milk's drop chance to 60% and amount to 2 or 3; Decreased Dvergr Tonic drop chance to 8%; Decreased Bloodmoon Stew drop chance to 1%; Done a lot of rebalancing, using biome level, item rarity and recipe complexity as criteria; Rebalanced banquets, so they're now very different from one another; Added materials Troll Meat and Ghostly Remains; Added potions Godi's Concoction, Lupine Extract, Hauler's Potion and Vanir Elixir; Added banquet Dvalinn's Hall Banquet; Added foods Troll Stew, Cured Pork, Root Soup, Hunter's Stew, Bacon Wrapped Tetra, Berserker Svid, Járnvidr Skause, Traveller's Porridge, Warrior's Pottage, Wolf Wraps, Chopped Shrooms, Vingólf's Main Course, Adventurer's Porridge, Galgvidr Skause, Meatbug Ragout, Grilled Cheese n' Jelly, Icelandic Fish Fritters, Ashlandic Fish Skewer and Myrkálfar's Fish Stew. Checkout google docs file for more information.

* 1.0.43 - Yet another bug fixing. Changed Mímirsbrunnr Drops drop origin from dvergr crates to dvergr support mage, since it wasn't dropping from the crates.

* 1.0.42 - Fixed log warnings; Fixed Lox Milk and other items that share the same model's missing textures, thus fixing a bug that caused the game to freeze and crash for some players; Fixed Crispy Puffers recipe; Fixed Blueberry Eyescream name; Raised Einherjar Mixture costs.

* 1.0.41 - Fixed Saehrimnir regeneration bug.

* 1.0.4 - Fixed banquets, so you'll be able to actually consume them now; Fixed Serpent Svid icon; Added effects to Legendary recipes; Rebalanced some recipes, mostly Ocean ones, they were a little overpower; Added a 5% chance of Fenring Cultists dropping the Bloodmoon Stew; Changed King's Jam name to Idunn's Confiture; Added Jöfurr Mixture, Eikthyr Svid, Ullr's Hunting Philter, Ancient Bark Flour, Tunnbröd, Einherjar Mixture, Dvergr Tonic and Mímisbrunnr Drops. Checkout google docs file for more information.

* 1.0.3 - Fixed log warnings; Balanced values, so that the recipes benefit stamina as well; Raised stats of ocean recipes, making them the most rewarding; Fixed some items not stacking; Fixed effect of Dvergr Miner Broth; Chopped Veggies craft amount is now 2; Added Pottage, Jomsviking Stew; Ashlandic Fish Soup; Icelandic Fried Fish and Grouper Pottage. Checkout google docs file for more information.

* 1.0.2 - Balanced recipes with fish, to make fishing more rewarding; Added Boar Svid, Myrkvidr Skause, Jormungandr Stew, Serpent Svid, Tuna with Herbs and Njord's Favorite. Checkout google docs file for more information.

* 1.0.1 - Ulfhednar mixture nerfed (too op)

* 1.0.0 - Release

---

## Credits
* [Azumatt](https://github.com/AzumattDev) for his ItemManagerModTemplate and his tutorial [videos](https://www.youtube.com/@Azumatt) on modmaking;
* [OhhLoz](https://www.nexusmods.com/valheim/users/19548289?tab=about+me) for general help;
* [Steamvikings](https://www.nexusmods.com/valheim/users/113604398) for help balancing;
* [Odin Plus](https://discord.gg/mbkPcvu9ax) discord server for bug fixing.
* [carpenteer](https://www.nexusmods.com/valheim/users/425437) for bug reporting/bug fixing.

---

### And finally...
Well, finally, if you like the mod, please leave your like and if you experience any issues, please report it on the mod's [Nexus page](https://www.nexusmods.com/valheim/mods/2155) so it can be fixed right away. If you don't like the balancing, share your opinion, I'm opened for suggestions and requests.

If there are any grammar errors in this mod page, please forgive me, english is not my native language.

Thanks for the support!